
body {
            margin: 0;
            padding: 0;
            height: 100%;
            overflow: hidden;
            font-family: Arial, sans-serif;
            background: #111;
            color: #fff;
        }

        .container {
                display: flex;
                height: 100vh;
                overflow: hidden;
}

        /* bal oldali menu */
        .sidebar {
            font-size: 20px;
            width: 220px;
            color: #333;
            padding: 30px 20px;
            box-sizing: border-box;
            background-image: url(coolbackgrounds-gradient-oxygen.png)
        }

        .logo {
            font-weight: bold;
            font-size: 35px;
            margin-bottom: 40px;
        }

        .menu a {
            display: block;
            text-decoration: none;
            color: white;
            margin-bottom: 15px;
            font-weight: 500;
        }

        /* cim */
        .main {
            color: black;
            flex: 1;
            display: flex;
            align-items: center;
            justify-content: center;
            background-image: url(12315_generated.jpg)
            
        }

        .bemutat {
            text-align: center;
            max-width: 600px;
            padding: 20px;
        }

        .bemutat h1 {
            font-size: 42px;
            margin-bottom: 20px;
        }

        .bemutat p {
            font-size: 16px;
            line-height: 1.6;
            color: black;
            margin-bottom: 30px;
        }

        /* „foto */
        .foto {
            background-repeat: no-repeat;
            background-position: center;
            width: 100%;
            height: 400px;
            background-size: contain;
            background-image: url(horváth\ ba\ \(10\).jpg);
        }

            /*  gombok navbar ctrl+v */ 
            .button {
            min-width: 120px;

            position: relative;
            cursor: pointer;

            padding: 12px 17px;
            border: 0;
            border-radius: 7px;

            box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.1);
            background: radial-gradient(
                ellipse at bottom,
                rgba(71, 81, 92, 1) 0%,
                rgba(11, 21, 30, 1) 45%
            );

            color: rgb(255, 255, 255, 0.66);

            transition: all 1s cubic-bezier(0.15, 0.83, 0.66, 1);
            }

            .button::before {
            content: "";
            width: 70%;
            height: 1px;

            position: absolute;
            bottom: 0;
            left: 15%;

            background: rgb(255, 255, 255);
            background: linear-gradient(
                90deg,
                rgba(255, 255, 255, 0) 0%,
                rgba(255, 255, 255, 1) 50%,
                rgba(255, 255, 255, 0) 100%
            );
            opacity: 0.2;

            transition: all 1s cubic-bezier(0.15, 0.83, 0.66, 1);
            }

            .button:hover {
            color: rgb(255, 255, 255, 1);
            transform: scale(1.1) translateY(-3px);
            }

            .button:hover::before {
            opacity: 1;
            }
